Index: i386/ibcs2/ibcs2_ioctl.c
===================================================================
RCS file: /home/ncvs/src/sys/i386/ibcs2/ibcs2_ioctl.c,v
retrieving revision 1.25
diff -u -r1.25 ibcs2_ioctl.c
--- i386/ibcs2/ibcs2_ioctl.c	17 Aug 2002 02:36:16 -0000	1.25
+++ i386/ibcs2/ibcs2_ioctl.c	12 Dec 2002 03:14:38 -0000
@@ -346,7 +346,7 @@
 
 	if ((error = fget(td, uap->fd, &fp)) != 0) {
 		DPRINTF(("ibcs2_ioctl(%d): bad fd %d ", p->p_pid,
-			 SCARG(uap, fd)));
+			 uap->fd));
 		return EBADF;
 	}
 
@@ -356,7 +356,7 @@
 		return EBADF;
 	}
 
-	switch (SCARG(uap, cmd)) {
+	switch (uap->cmd) {
 	case IBCS2_TCGETA:
 	case IBCS2_XCGETA:
 	case IBCS2_OXCGETA:
@@ -370,9 +370,9 @@
 			break;
 	
 		btios2stios (&bts, &sts);
-		if (SCARG(uap, cmd) == IBCS2_TCGETA) {
+		if (uap->cmd == IBCS2_TCGETA) {
 			stios2stio (&sts, &st);
-			error = copyout((caddr_t)&st, SCARG(uap, data),
+			error = copyout((caddr_t)&st, uap->data,
 					sizeof (st));
 #ifdef DEBUG_IBCS2
 			if (error)
@@ -381,7 +381,7 @@
 #endif
 			break;
 		} else {
-			error = copyout((caddr_t)&sts, SCARG(uap, data),
+			error = copyout((caddr_t)&sts, uap->data,
 					sizeof (sts));
 			break;
 		}
@@ -396,7 +396,7 @@
 		struct ibcs2_termios sts;
 		struct ibcs2_termio st;
 
-		if ((error = copyin(SCARG(uap, data), (caddr_t)&st,
+		if ((error = copyin(uap->data, (caddr_t)&st,
 				    sizeof(st))) != 0) {
 			DPRINTF(("ibcs2_ioctl(%d): TCSET copyin failed ",
 				 p->p_pid));
@@ -407,7 +407,7 @@
 		if ((error = fo_ioctl(fp, TIOCGETA, (caddr_t)&bts,
 		    td->td_ucred, td)) != 0) {
 			DPRINTF(("ibcs2_ioctl(%d): TCSET ctl failed fd %d ",
-				 p->p_pid, SCARG(uap, fd)));
+				 p->p_pid, uap->fd));
 			break;
 		}
 
@@ -419,7 +419,7 @@
 		stio2stios(&st, &sts);
 		stios2btios(&sts, &bts);
 
-		error = fo_ioctl(fp, SCARG(uap, cmd) - IBCS2_TCSETA + TIOCSETA,
+		error = fo_ioctl(fp, uap->cmd - IBCS2_TCSETA + TIOCSETA,
 			      (caddr_t)&bts, td->td_ucred, td);
 		break;
 	    }
@@ -431,11 +431,11 @@
 		struct termios bts;
 		struct ibcs2_termios sts;
 
-		if ((error = copyin(SCARG(uap, data), (caddr_t)&sts,
+		if ((error = copyin(uap->data, (caddr_t)&sts,
 				    sizeof (sts))) != 0)
 			break;
 		stios2btios (&sts, &bts);
-		error = fo_ioctl(fp, SCARG(uap, cmd) - IBCS2_XCSETA + TIOCSETA,
+		error = fo_ioctl(fp, uap->cmd - IBCS2_XCSETA + TIOCSETA,
 			      (caddr_t)&bts, td->td_ucred, td);
 		break;
 	    }
@@ -447,11 +447,11 @@
 		struct termios bts;
 		struct ibcs2_termios sts;
 
-		if ((error = copyin(SCARG(uap, data), (caddr_t)&sts,
+		if ((error = copyin(uap->data, (caddr_t)&sts,
 				    sizeof (sts))) != 0)
 			break;
 		stios2btios (&sts, &bts);
-		error = fo_ioctl(fp, SCARG(uap, cmd) - IBCS2_OXCSETA + TIOCSETA,
+		error = fo_ioctl(fp, uap->cmd - IBCS2_OXCSETA + TIOCSETA,
 			      (caddr_t)&bts, td->td_ucred, td);
 		break;
 	    }
@@ -463,7 +463,7 @@
 
 	case IBCS2_TCXONC:
 	    {
-		switch ((int)SCARG(uap, data)) {
+		switch ((int)uap->data) {
 		case 0:
 		case 1:
 			DPRINTF(("ibcs2_ioctl(%d): TCXONC ", p->p_pid));
@@ -488,7 +488,7 @@
 	    {
 		int arg;
 
-		switch ((int)SCARG(uap, data)) {
+		switch ((int)uap->data) {
 		case 0:
 			arg = FREAD;
 			break;
@@ -508,12 +508,12 @@
 	    }
 
 	case IBCS2_TIOCGWINSZ:
-		SCARG(uap, cmd) = TIOCGWINSZ;
+		uap->cmd = TIOCGWINSZ;
 		error = ioctl(td, (struct ioctl_args *)uap);
 		break;
 
 	case IBCS2_TIOCSWINSZ:
-		SCARG(uap, cmd) = TIOCSWINSZ;
+		uap->cmd = TIOCSWINSZ;
 		error = ioctl(td, (struct ioctl_args *)uap);
 		break;
 
@@ -524,7 +524,7 @@
 		PROC_LOCK(p);
 		pg_id = p->p_pgrp->pg_id;
 		PROC_UNLOCK(p);
-		error = copyout((caddr_t)&pg_id, SCARG(uap, data),
+		error = copyout((caddr_t)&pg_id, uap->data,
 				sizeof(pg_id));
 		break;
 	    }
@@ -533,8 +533,8 @@
 	    {
 		struct setpgid_args sa;
 
-		SCARG(&sa, pid) = 0;
-		SCARG(&sa, pgid) = (int)SCARG(uap, data);
+		sa.pid = 0;
+		sa.pgid = (int)uap->data;
 		error = setpgid(td, &sa);
 		break;
 	    }
@@ -566,111 +566,111 @@
 		  p->p_session->s_ttyp->t_winsize.ws_ypixel;
 		SESS_UNLOCK(p->p_session);
 		PROC_UNLOCK(p);
-	        error = copyout((caddr_t)&ibcs2_jwinsize, SCARG(uap, data),
+	        error = copyout((caddr_t)&ibcs2_jwinsize, uap->data,
 			       sizeof(ibcs2_jwinsize));
 		break;
 	     }
 
 	/* keyboard and display ioctl's -- type 'K' */
 	case IBCS2_KDGKBMODE:        /* get keyboard translation mode */
-	        SCARG(uap, cmd) = KDGKBMODE;
-/* printf("ioctl KDGKBMODE = %x\n", SCARG(uap, cmd));*/
+	        uap->cmd = KDGKBMODE;
+/* printf("ioctl KDGKBMODE = %x\n", uap->cmd);*/
 	        error = ioctl(td, (struct ioctl_args *)uap);
 		break;
 
 	case IBCS2_KDSKBMODE:        /* set keyboard translation mode */
-	        SCARG(uap, cmd) = KDSKBMODE;
+	        uap->cmd = KDSKBMODE;
 	        error = ioctl(td, (struct ioctl_args *)uap);
 		break;
 
 	case IBCS2_KDMKTONE:        /* sound tone */
-	        SCARG(uap, cmd) = KDMKTONE;
+	        uap->cmd = KDMKTONE;
 	        error = ioctl(td, (struct ioctl_args *)uap);
 		break;
 
 	case IBCS2_KDGETMODE:        /* get text/graphics mode */  
-	        SCARG(uap, cmd) = KDGETMODE;
+	        uap->cmd = KDGETMODE;
 	        error = ioctl(td, (struct ioctl_args *)uap);
 		break;
 
 	case IBCS2_KDSETMODE:       /* set text/graphics mode */
-	        SCARG(uap, cmd) = KDSETMODE;
+	        uap->cmd = KDSETMODE;
 	        error = ioctl(td, (struct ioctl_args *)uap);
 		break;
 
 	case IBCS2_KDSBORDER:       /* set ega color border */
-	        SCARG(uap, cmd) = KDSBORDER;
+	        uap->cmd = KDSBORDER;
 	        error = ioctl(td, (struct ioctl_args *)uap);
 		break;
 
 	case IBCS2_KDGKBSTATE:
-	        SCARG(uap, cmd) = KDGKBSTATE;
+	        uap->cmd = KDGKBSTATE;
 	        error = ioctl(td, (struct ioctl_args *)uap);
 		break;
 
 	case IBCS2_KDSETRAD:
-	        SCARG(uap, cmd) = KDSETRAD;
+	        uap->cmd = KDSETRAD;
 	        error = ioctl(td, (struct ioctl_args *)uap);
 		break;
 
 	case IBCS2_KDENABIO:       /* enable direct I/O to ports */
-	        SCARG(uap, cmd) = KDENABIO;
+	        uap->cmd = KDENABIO;
 	        error = ioctl(td, (struct ioctl_args *)uap);
 		break;
 
 	case IBCS2_KDDISABIO:       /* disable direct I/O to ports */
-	        SCARG(uap, cmd) = KDDISABIO;
+	        uap->cmd = KDDISABIO;
 	        error = ioctl(td, (struct ioctl_args *)uap);
 		break;
 
 	case IBCS2_KIOCSOUND:       /* start sound generation */
-	        SCARG(uap, cmd) = KIOCSOUND;
+	        uap->cmd = KIOCSOUND;
 	        error = ioctl(td, (struct ioctl_args *)uap);
 		break;
 
 	case IBCS2_KDGKBTYPE:       /* get keyboard type */
-	        SCARG(uap, cmd) = KDGKBTYPE;
+	        uap->cmd = KDGKBTYPE;
 	        error = ioctl(td, (struct ioctl_args *)uap);
 		break;
 
 	case IBCS2_KDGETLED:       /* get keyboard LED status */
-	        SCARG(uap, cmd) = KDGETLED;
+	        uap->cmd = KDGETLED;
 	        error = ioctl(td, (struct ioctl_args *)uap);
 		break;
 
 	case IBCS2_KDSETLED:       /* set keyboard LED status */
-	        SCARG(uap, cmd) = KDSETLED;
+	        uap->cmd = KDSETLED;
 	        error = ioctl(td, (struct ioctl_args *)uap);
 		break;
 
 	    /* Xenix keyboard and display ioctl's from sys/kd.h -- type 'k' */
 	case IBCS2_GETFKEY:      /* Get function key */
-	        SCARG(uap, cmd) = GETFKEY;
+	        uap->cmd = GETFKEY;
 	        error = ioctl(td, (struct ioctl_args *)uap);
 		break;
 
 	case IBCS2_SETFKEY:      /* Set function key */
-	        SCARG(uap, cmd) = SETFKEY;
+	        uap->cmd = SETFKEY;
 	        error = ioctl(td, (struct ioctl_args *)uap);
 		break;
 
 	case IBCS2_GIO_SCRNMAP:      /* Get screen output map table */
-	        SCARG(uap, cmd) = GIO_SCRNMAP;
+	        uap->cmd = GIO_SCRNMAP;
 	        error = ioctl(td, (struct ioctl_args *)uap);
 		break;
 
 	case IBCS2_PIO_SCRNMAP:      /* Set screen output map table */
-	        SCARG(uap, cmd) = PIO_SCRNMAP;
+	        uap->cmd = PIO_SCRNMAP;
 	        error = ioctl(td, (struct ioctl_args *)uap);
 		break;
 
 	case IBCS2_GIO_KEYMAP:      /* Get keyboard map table */
-	        SCARG(uap, cmd) = GIO_KEYMAP;
+	        uap->cmd = GIO_KEYMAP;
 	        error = ioctl(td, (struct ioctl_args *)uap);
 		break;
 
 	case IBCS2_PIO_KEYMAP:      /* Set keyboard map table */
-	        SCARG(uap, cmd) = PIO_KEYMAP;
+	        uap->cmd = PIO_KEYMAP;
 	        error = ioctl(td, (struct ioctl_args *)uap);
 		break;
 
@@ -681,13 +681,13 @@
 
 	case IBCS2_FIONREAD:
 	case IBCS2_I_NREAD:     /* STREAMS */
-	        SCARG(uap, cmd) = FIONREAD;
+	        uap->cmd = FIONREAD;
 		error = ioctl(td, (struct ioctl_args *)uap);
 		break;
 
 	default:
 		DPRINTF(("ibcs2_ioctl(%d): unknown cmd 0x%lx ",
-			 td->proc->p_pid, SCARG(uap, cmd)));
+			 td->proc->p_pid, uap->cmd));
 		error = ENOSYS;
 		break;
 	}
Index: i386/ibcs2/ibcs2_ipc.c
===================================================================
RCS file: /home/ncvs/src/sys/i386/ibcs2/ibcs2_ipc.c,v
retrieving revision 1.17
diff -u -r1.17 ibcs2_ipc.c
--- i386/ibcs2/ibcs2_ipc.c	20 Mar 2002 05:45:58 -0000	1.17
+++ i386/ibcs2/ibcs2_ipc.c	12 Dec 2002 03:14:38 -0000
@@ -106,32 +106,31 @@
 	struct thread *td;
 	struct ibcs2_msgsys_args *uap;
 {
-	switch (SCARG(uap, which)) {
+	switch (uap->which) {
 	case 0:				/* msgget */
-		SCARG(uap, which) = 1;
+		uap->which = 1;
 		return msgsys(td, (struct msgsys_args *)uap);
 	case 1: {			/* msgctl */
 		int error;
 		struct msgsys_args margs;
 		caddr_t sg = stackgap_init();
 
-		SCARG(&margs, which) = 0;
-		SCARG(&margs, a2) = SCARG(uap, a2);
-		SCARG(&margs, a4) =
+		margs.which = 0;
+		margs.a2 = uap->a2;
+		margs.a4 =
 		    (int)stackgap_alloc(&sg, sizeof(struct msqid_ds));
-		SCARG(&margs, a3) = SCARG(uap, a3);
-		switch (SCARG(&margs, a3)) {
+		margs.a3 = uap->a3;
+		switch (margs.a3) {
 		case IBCS2_IPC_STAT:
 			error = msgsys(td, &margs);
 			if (!error)
 				cvt_msqid2imsqid(
-				    (struct msqid_ds *)SCARG(&margs, a4),
-				    (struct ibcs2_msqid_ds *)SCARG(uap, a4));
+				    (struct msqid_ds *)margs.a4,
+				    (struct ibcs2_msqid_ds *)uap->a4);
 			return error;
 		case IBCS2_IPC_SET:
-			cvt_imsqid2msqid((struct ibcs2_msqid_ds *)SCARG(uap,
-									a4),
-					 (struct msqid_ds *)SCARG(&margs, a4));
+			cvt_imsqid2msqid((struct ibcs2_msqid_ds *)uap->a4,
+					 (struct msqid_ds *)margs.a4);
 			return msgsys(td, &margs);
 		case IBCS2_IPC_RMID:
 			return msgsys(td, &margs);
@@ -139,10 +138,10 @@
 		return EINVAL;
 	}
 	case 2:				/* msgrcv */
-		SCARG(uap, which) = 3;
+		uap->which = 3;
 		return msgsys(td, (struct msgsys_args *)uap);
 	case 3:				/* msgsnd */
-		SCARG(uap, which) = 2;
+		uap->which = 2;
 		return msgsys(td, (struct msgsys_args *)uap);
 	default:
 		return EINVAL;
@@ -239,9 +238,9 @@
 {
 	int error;
 
-	switch (SCARG(uap, which)) {
+	switch (uap->which) {
 	case 0:					/* semctl */
-		switch(SCARG(uap, a4)) {
+		switch(uap->a4) {
 		case IBCS2_IPC_STAT:
 		    {
 			struct ibcs2_semid_ds *isp;
@@ -250,14 +249,14 @@
 			caddr_t sg = stackgap_init();
 
 
-			ssu = (union semun) SCARG(uap, a5);
+			ssu = (union semun) uap->a5;
 			sp = stackgap_alloc(&sg, sizeof(struct semid_ds));
 			sup = stackgap_alloc(&sg, sizeof(union semun));
 			sup->buf = sp;
-			SCARG(uap, a5) = (int)sup;
+			uap->a5 = (int)sup;
 			error = semsys(td, (struct semsys_args *)uap);
 			if (!error) {
-				SCARG(uap, a5) = (int)ssu.buf;
+				uap->a5 = (int)ssu.buf;
 				isp = stackgap_alloc(&sg, sizeof(*isp));
 				cvt_semid2isemid(sp, isp);
 				error = copyout((caddr_t)isp,
@@ -274,12 +273,12 @@
 
 			isp = stackgap_alloc(&sg, sizeof(*isp));
 			sp = stackgap_alloc(&sg, sizeof(*sp));
-			error = copyin((caddr_t)SCARG(uap, a5), (caddr_t)isp,
+			error = copyin((caddr_t)uap->a5, (caddr_t)isp,
 				       sizeof(*isp));
 			if (error)
 				return error;
 			cvt_isemid2semid(isp, sp);
-			SCARG(uap, a5) = (int)sp;
+			uap->a5 = (int)sp;
 			return semsys(td, (struct semsys_args *)uap);
 		    }
 		case IBCS2_SETVAL:
@@ -288,8 +287,8 @@
 			caddr_t sg = stackgap_init();
 
 			sp = stackgap_alloc(&sg, sizeof(*sp));
-			sp->val = (int) SCARG(uap, a5);
-			SCARG(uap, a5) = (int)sp;
+			sp->val = (int) uap->a5;
+			uap->a5 = (int)sp;
 			return semsys(td, (struct semsys_args *)uap);
 		    }
 		}
@@ -351,28 +350,28 @@
 {
 	int error;
 
-	switch (SCARG(uap, which)) {
+	switch (uap->which) {
 	case 0:						/* shmat */
 		return shmsys(td, (struct shmsys_args *)uap);
 
 	case 1:						/* shmctl */
-		switch(SCARG(uap, a3)) {
+		switch(uap->a3) {
 		case IBCS2_IPC_STAT:
 		    {
 			struct ibcs2_shmid_ds *isp;
 			struct shmid_ds *sp;
 			caddr_t sg = stackgap_init();
 
-			isp = (struct ibcs2_shmid_ds *)SCARG(uap, a4);
+			isp = (struct ibcs2_shmid_ds *)uap->a4;
 			sp = stackgap_alloc(&sg, sizeof(*sp));
-			SCARG(uap, a4) = (int)sp;
+			uap->a4 = (int)sp;
 			error = shmsys(td, (struct shmsys_args *)uap);
 			if (!error) {
-				SCARG(uap, a4) = (int)isp;
+				uap->a4 = (int)isp;
 				isp = stackgap_alloc(&sg, sizeof(*isp));
 				cvt_shmid2ishmid(sp, isp);
 				error = copyout((caddr_t)isp,
-						(caddr_t)SCARG(uap, a4),
+						(caddr_t)uap->a4,
 						sizeof(*isp));
 			}
 			return error;
@@ -385,12 +384,12 @@
 
 			isp = stackgap_alloc(&sg, sizeof(*isp));
 			sp = stackgap_alloc(&sg, sizeof(*sp));
-			error = copyin((caddr_t)SCARG(uap, a4), (caddr_t)isp,
+			error = copyin((caddr_t)uap->a4, (caddr_t)isp,
 				       sizeof(*isp));
 			if (error)
 				return error;
 			cvt_ishmid2shmid(isp, sp);
-			SCARG(uap, a4) = (int)sp;
+			uap->a4 = (int)sp;
 			return shmsys(td, (struct shmsys_args *)uap);
 		    }
 		}
